/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.entity.Entity;
import net.northking.cctp.common.saas.db.TenantPartition;

import java.util.Date;


/**
 * 业务组件目录树
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2023-01-09 14:34:13  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "业务组件目录树")
public class BusComponentTree extends TenantPartition implements Entity
{
  public static final String KEY_id = "id";
  public static final String KEY_treeName = "treeName";
  public static final String KEY_projectId = "projectId";
  public static final String KEY_parentId = "parentId";
  public static final String KEY_levelNo = "levelNo";
  public static final String KEY_idPath = "idPath";
  public static final String KEY_isLeaf = "isLeaf";
  public static final String KEY_memo = "memo";
  public static final String KEY_namePath = "namePath";
  public static final String KEY_orderSeq = "orderSeq";
  public static final String KEY_isDeleted = "isDeleted";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_updatedBy = "updatedBy";
  public static final String KEY_updatedTime = "updatedTime";
  public static final String KEY_tenantId = "tenantId";

  /**
   * 主键<br>
   */
  @ApiModelProperty("主键")
  @Size(max = 32, message="主键-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 树目录名称<br>
   */
  @ApiModelProperty("树目录名称")
  @Size(max = 50, message="树目录名称-treeName: 数据长度不能 > 50" )
  private String treeName;
  /**
   * 系统id<br>
   */
  @ApiModelProperty("系统id")
  @Size(max = 32, message="系统id-projectId: 数据长度不能 > 32" )
  private String projectId;
  /**
   * 父节点<br>
   */
  @ApiModelProperty("父节点")
  @Size(max = 32, message="父节点-parentId: 数据长度不能 > 32" )
  private String parentId;
  /**
   * 树节点等级<br>
   */
  @ApiModelProperty("树节点等级")
  private Integer levelNo;
  /**
   * id路径<br>
   */
  @ApiModelProperty("id路径")
  @Size(max = 500, message="id路径-idPath: 数据长度不能 > 500" )
  private String idPath;
  /**
   * 是否为叶子节点0-否1是<br>
   */
  @ApiModelProperty("是否为叶子节点0-否1是")
  private Integer isLeaf;
  /**
   * 描述<br>
   */
  @ApiModelProperty("描述")
  @Size(max = 500, message="描述-memo: 数据长度不能 > 500" )
  private String memo;
  /**
   * 中文名目录<br>
   */
  @ApiModelProperty("中文名目录")
  @Size(max = 1000, message="中文名目录-namePath: 数据长度不能 > 1000" )
  private String namePath;
  /**
   * 顺序<br>
   */
  @ApiModelProperty("顺序")
  private Integer orderSeq;
  /**
   * 是否删除0-否1-是<br>
   */
  @ApiModelProperty("是否删除0-否1-是")
  private Integer isDeleted;
  /**
   * 创建人<br>
   */
  @ApiModelProperty("创建人")
  @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
  private String createdBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 修改人<br>
   */
  @ApiModelProperty("修改人")
  @Size(max = 32, message="修改人-updatedBy: 数据长度不能 > 32" )
  private String updatedBy;
  /**
   * 修改时间<br>
   */
  @ApiModelProperty("修改时间")
  private Date updatedTime;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 32, message="租户id-tenantId: 数据长度不能 > 32" )
  private String tenantId;

  /**
   * 主键<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键<br>
   *
   * @param id 主键
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 树目录名称<br>
   */
  public String getTreeName()
  {
      return treeName;
    }

  /**
   * 树目录名称<br>
   *
   * @param treeName 树目录名称
   */
  public void setTreeName(String treeName)
  {
      this.treeName = treeName;
    }
  /**
   * 系统id<br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * 系统id<br>
   *
   * @param projectId 系统id
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }
  /**
   * 父节点<br>
   */
  public String getParentId()
  {
      return parentId;
    }

  /**
   * 父节点<br>
   *
   * @param parentId 父节点
   */
  public void setParentId(String parentId)
  {
      this.parentId = parentId;
    }
  /**
   * 树节点等级<br>
   */
  public Integer getLevelNo()
  {
      return levelNo;
    }

  /**
   * 树节点等级<br>
   *
   * @param levelNo 树节点等级
   */
  public void setLevelNo(Integer levelNo)
  {
      this.levelNo = levelNo;
    }
  /**
   * id路径<br>
   */
  public String getIdPath()
  {
      return idPath;
    }

  /**
   * id路径<br>
   *
   * @param idPath id路径
   */
  public void setIdPath(String idPath)
  {
      this.idPath = idPath;
    }
  /**
   * 是否为叶子节点0-否1是<br>
   */
  public Integer getIsLeaf()
  {
      return isLeaf;
    }

  /**
   * 是否为叶子节点0-否1是<br>
   *
   * @param isLeaf 是否为叶子节点0-否1是
   */
  public void setIsLeaf(Integer isLeaf)
  {
      this.isLeaf = isLeaf;
    }
  /**
   * 描述<br>
   */
  public String getMemo()
  {
      return memo;
    }

  /**
   * 描述<br>
   *
   * @param memo 描述
   */
  public void setMemo(String memo)
  {
      this.memo = memo;
    }
  /**
   * 中文名目录<br>
   */
  public String getNamePath()
  {
      return namePath;
    }

  /**
   * 中文名目录<br>
   *
   * @param namePath 中文名目录
   */
  public void setNamePath(String namePath)
  {
      this.namePath = namePath;
    }
  /**
   * 顺序<br>
   */
  public Integer getOrderSeq()
  {
      return orderSeq;
    }

  /**
   * 顺序<br>
   *
   * @param orderSeq 顺序
   */
  public void setOrderSeq(Integer orderSeq)
  {
      this.orderSeq = orderSeq;
    }
  /**
   * 是否删除0-否1-是<br>
   */
  public Integer getIsDeleted()
  {
      return isDeleted;
    }

  /**
   * 是否删除0-否1-是<br>
   *
   * @param isDeleted 是否删除0-否1-是
   */
  public void setIsDeleted(Integer isDeleted)
  {
      this.isDeleted = isDeleted;
    }
  /**
   * 创建人<br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 创建人<br>
   *
   * @param createdBy 创建人
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 修改人<br>
   */
  public String getUpdatedBy()
  {
      return updatedBy;
    }

  /**
   * 修改人<br>
   *
   * @param updatedBy 修改人
   */
  public void setUpdatedBy(String updatedBy)
  {
      this.updatedBy = updatedBy;
    }
  /**
   * 修改时间<br>
   */
  public Date getUpdatedTime()
  {
      if(updatedTime != null)
    {
      return (Date)updatedTime.clone();
    }
    return null;
    }

  /**
   * 修改时间<br>
   *
   * @param updatedTime 修改时间
   */
  public void setUpdatedTime(Date updatedTime)
  {
      if(updatedTime != null)
    {
      this.updatedTime = (Date)updatedTime.clone();
    }
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }

  public BusComponentTree()
  {
  }

}
